- Qt 6.8
- Qt Core
- C++ Classes
- QBaseIterator
- Qt 6.8.3 Reference Documentation

# QBaseIterator Class

template <typename Container> class QBaseIterator

Header: | `#include <QBaseIterator>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Core)` `target_link_libraries(mytarget PRIVATE Qt6::Core)`
qmake: | `QT += core`
Inherited By: | QConstIterator and QIterator

- List of all members, including inherited members

## Public Functions

const void * | constIterator() const
void * | mutableIterator()

## Detailed Description

QBaseIterator forms the common base class for all iterators operating on subclasses of QIterable.

## Member Function Documentation

### const void *QBaseIterator::constIterator() const

Returns a const pointer to the internal native iterator.

### void *QBaseIterator::mutableIterator()

Returns a non-const pointer to the internal native iterator.